a643db6
diff -up ksh-20120801/src/cmd/ksh93/tests/builtins.sh.fixregr ksh-20120801/src/cmd/ksh93/tests/builtins.sh
a643db6
--- ksh-20120801/src/cmd/ksh93/tests/builtins.sh.fixregr	2012-07-16 17:23:56.000000000 +0200
a643db6
+++ ksh-20120801/src/cmd/ksh93/tests/builtins.sh	2012-08-08 12:29:00.733243019 +0200
a643db6
@@ -303,9 +303,9 @@ then	err_exit "printf '%..*s' not workin
4e7626d
 fi
4e7626d
 [[ $(printf '%q\n') == '' ]] || err_exit 'printf "%q" with missing arguments'
472d43e
 # we won't get hit by the one second boundary twice, right?
4e7626d
-[[ $(printf '%T\n' now) == "$(date)" ]] ||
4e7626d
-[[ $(printf '%T\n' now) == "$(date)" ]] ||
472d43e
-err_exit 'printf "%T" now'
4e7626d
+[[ $(printf '%T\n' now | sed 's/GMT/UTC/') == "$(date)" ]] ||
4e7626d
+[[ $(printf '%T\n' now | sed 's/GMT/UTC/') == "$(date)" ]] ||
4e7626d
+err_exit 'printf "%T" now = '"$(printf '%T\n' now) != $(date)"
472d43e
 behead()
9086622
 {
472d43e
 	read line
a643db6
diff -up ksh-20120801/src/cmd/ksh93/tests/locale.sh.fixregr ksh-20120801/src/cmd/ksh93/tests/locale.sh
a643db6
--- ksh-20120801/src/cmd/ksh93/tests/locale.sh.fixregr	2012-06-26 21:57:46.000000000 +0200
a643db6
+++ ksh-20120801/src/cmd/ksh93/tests/locale.sh	2012-08-08 12:29:20.039405240 +0200
4e7626d
@@ -104,6 +104,7 @@ if	(( $($SHELL -c $'export LC_ALL='$loca
472d43e
 then	LC_ALL=$locale $SHELL -c b1=$'"\342\202\254\342\202\254\342\202\254\342\202\254w\342\202\254\342\202\254\342\202\254\342\202\254"; [[ ${b1:4:1} == w ]]' || err_exit 'multibyte ${var:offset:len} not working correctly'
472d43e
 fi
472d43e
 
472d43e
+locale=en_US.UTF-8
9086622
 #$SHELL -c 'export LANG='$locale'; printf "\u[20ac]\u[20ac]" > $tmp/two_euro_chars.txt'
9086622
 printf $'\342\202\254\342\202\254' > $tmp/two_euro_chars.txt
9086622
 exp="6 2 6"
4e7626d
@@ -111,11 +112,11 @@ set -- $($SHELL -c "
9086622
 	unset LC_CTYPE
9086622
 	export LANG=$locale
472d43e
 	export LC_ALL=C
472d43e
-	command wc -C < $tmp/two_euro_chars.txt
472d43e
+	command wc -m < $tmp/two_euro_chars.txt
472d43e
 	unset LC_ALL
472d43e
-	command wc -C < $tmp/two_euro_chars.txt
472d43e
+	command wc -m < $tmp/two_euro_chars.txt
472d43e
 	export LC_ALL=C
472d43e
-	command wc -C < $tmp/two_euro_chars.txt
472d43e
+	command wc -m < $tmp/two_euro_chars.txt
9086622
 ")
9086622
 got=$*
9086622
 [[ $got == $exp ]] || err_exit "command wc LC_ALL default failed -- expected '$exp', got '$got'"
4e7626d
@@ -134,6 +135,8 @@ set -- $($SHELL -c "
9086622
 got=$*
9086622
 [[ $got == $exp ]] || err_exit "builtin wc LC_ALL default failed -- expected '$exp', got '$got'"
472d43e
 
472d43e
+locale=C_EU.UTF-8
472d43e
+
9086622
 # multibyte char straddling buffer boundary
9086622
 
9086622
 {
4e7626d
@@ -190,6 +193,7 @@ do	exp=$1
472d43e
 done
9086622
 
472d43e
 # setocale(LC_ALL,"") after setlocale() initialization
472d43e
+locale=en_US.UTF-8
9086622
 
472d43e
 printf 'f1\357\274\240f2\n' > input1
472d43e
 printf 't2\357\274\240f1\n' > input2
a643db6
@@ -336,7 +340,7 @@ then	LC_ALL=en_US.UTF-8
a643db6
 	[[ $(print -r -- "$x") == $'hello\u[20ac]\xee world' ]] || err_exit '%q with unicode and non-unicode not working'
a643db6
 	if	[[ $(whence od) ]]
a643db6
 	then	got='68 65 6c 6c 6f e2 82 ac ee 20 77 6f 72 6c 64 0a'
a643db6
-		[[ $(print -r -- "$x" | od -An -tx1) == "$got" ]] || err_exit "incorrect string from printf %q"
a643db6
+		[[ $(print -r -- "$x" | od -An -tx1) =~ $got ]] || err_exit "incorrect string from printf %q"
a643db6
 	fi
a643db6
 	
a643db6
 fi